# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Capacitor Class Reference
Inheritance diagram for Capacitor:

## Public Member Functions

| Capacitor (std::string name, std::string pos, std::string neg, std::string value)
| creates a new capacitor. More...
std::string | getNegative ()
| returns the negative connector of the capacitor.
std::string | getPositive ()
| returns the positive connector of the capacitor.
std::string | getValue ()
| returns the value of the capacitor.
Public Member Functions inherited from Instance
void | addConnector (std::string connector)
| adds a connector to the instance. More...
void | addParameter (std::string name, std::string value)
| adds a parameter to the instance. More...
const std::vector< std::string > & | getConnectors ()
| returns the map of instance's connectors. More...
std::string | getModel ()
| returns the model of the instance.
std::string | getName ()
| returns the name of the instance.
const std::map< std::string, std::string > & | getParameters ()
| returns the parameters of the instance.
std::string | getParameterValue (std::string name)
| returns the value (as string) of a parameter of the instance. More...
| Instance (std::string name, std::string model)
| creates a new instance. More...

## Detailed Description

This class describes a capacitor which is a specialized instance which has a positive and a negative connector and a value.

## Constructor & Destructor Documentation

## ◆ Capacitor()

Capacitor | ( | std::string | name,
|  | std::string | pos,
|  | std::string | neg,
|  | std::string | value
| ) |  |

inline

creates a new capacitor.

Parameters

  name | the name of the capacitor.
  pos | the positive connector of the capacitor.
  neg | the negative connector of the capacitor.
  value | the value of the capacitor.